For the complete documentation index, see llms.txt. This page is also available as Markdown.

Device tag

get

Device tag Resource Fields

Field

id

device

tag_key

value


Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
get/v7/device_tag
GET /v7/device_tag HTTP/1.1
Host: api.balena-cloud.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
post
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
post/v7/device_tag
POST /v7/device_tag HTTP/1.1
Host: api.balena-cloud.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
patch
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
DEVICE_IDanyRequired
EXISTING-KEYanyRequired
patch/v7/device_tag(device=<DEVICE_ID>,tag_key='<EXISTING-KEY>')
PATCH /v7/device_tag(device=<DEVICE_ID>,tag_key='<EXISTING-KEY>') HTTP/1.1
Host: api.balena-cloud.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
delete
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
TAG-IDanyRequired
delete/v7/device_tag(<TAG-ID>)
DELETE /v7/device_tag(<TAG-ID>) HTTP/1.1
Host: api.balena-cloud.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*

Last updated

Was this helpful?